Opera < 12.12 Multiple Vulnerabilities

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The remote host contains a web browser that is affected by multiple
vulnerabilities.

Description :

The version of Opera installed on the remote host is earlier than 12.12
and is, therefore, reportedly affected by the following
vulnerabilities :

- An error exists related to GIF image file handling that
can allow heap memory corruption and can lead to
application crashes or arbitrary code execution. (1038)

- An error exists related to URL handling and the address
bar that can allow rapid, repeated web requests to
cause the incorrect URL to be displayed. (1040)

See also :

http://seclists.org/fulldisclosure/2012/Dec/54
http://www.opera.com/support/kb/view/1038/
http://www.opera.com/support/kb/view/1040/
http://www.opera.com/docs/changelogs/unified/1212/

Solution :

Upgrade to Opera 12.12 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 63301 ()

Bugtraq ID: 56788
56984

CVE ID: CVE-2012-6470
CVE-2012-6471

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now